Some RSS feeds cannot be loaded into thunderbird.

RESOLVED INVALID

Status

MailNews Core
Feed Reader
RESOLVED INVALID
10 years ago
8 years ago

People

(Reporter: k b, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(URL)

(Reporter)

Description

10 years ago
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10) Gecko/20071128 Fedora/2.0.0.10-2.fc8 Firefox/2.0.0.10 pango-text
Build Identifier: version 2.0.0.9 (20071115)

RSS-feeds from NRK cannot be loaded into thunderbird.

example link:
http://podkast.nrk.no/program/friluftsmagasinet.rss





at the moment the feed source looks like this:














<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet title="XSL_formatting" type="text/xsl" href="http://fil.nrk.no/contentfile/file/1.946274!podcastStyle.xslt"?>
<rss xmlns:itunes="http://www.itunes.com/DTDs/Podcast-1.0.dtd" xmlns:nrk="http://podkast.nrk.no/podd-rss" version="2.0">
  <channel>
    <nrk:url>http://podkast.nrk.no/program/friluftsmagasinet.rss</nrk:url>
    <title>NRK P1 – Friluftsmagasinet</title>
    <description>Jakt, fiske, natur og miljøvern er Arnulf Møllerstads virkefelt. Hver lørdag morgen er han på plass med Friluftsmagasinet i NRK P1.</description>
    <itunes:summary>Jakt, fiske, natur og miljøvern er Arnulf Møllerstads virkefelt. Hver lørdag morgen er han på plass med Friluftsmagasinet i NRK P1.</itunes:summary>

    <itunes:subtitle>Jakt, fiske og naturvern med Arnulf Møllerstad.</itunes:subtitle>
    <itunes:category text="Public Radio" />
    <itunes:explicit>no</itunes:explicit>
    <image>
      <title>NRK P1 – Friluftsmagasinet</title>
      <url>http://podkast.nrk.no/static/images/friluftsmagasinet100.jpg</url>
      <link>http://www.nrk.no/friluftsmagasinet/</link>

      <width>100</width>
      <height>100</height>
    </image>
    <itunes:image rel="image" href="http://podkast.nrk.no/img/596045.jpg" />
    <link>http://www.nrk.no/friluftsmagasinet/</link>
    <language>no</language>
    <copyright>NRK © 2007</copyright>

    <itunes:author>NRK P1</itunes:author>
    <itunes:owner>
      <itunes:name>NRK P1</itunes:name>
      <itunes:email>friluftsmagasinet@nrk.no</itunes:email>
    </itunes:owner>
    <item>
      <title>Friluftsmagasinet 2007-12-15</title>

      <description>Vi er ute på fjorden for  å fiske juletorsken - forsøke i alle fall. Vi skal snakke om krisa for sjøfugl på grunn av matmangel. Altså - for lite småfisk i kystområdene, og hvilke arter det i første rekke går ut over.

Morten Ekker jobber i Direktoratet for Naturforvaltning. Peder Johan Pedersen i Søgne i vest-Agder misliker ærfugljakta som gjør fuglen sky. Hvorfor skal det alltid skytes og drepes dersom det er overskudd av en art? spør han. 

Programleder for friluftsmagasinet er Arnulf Møllerstad</description>
      <itunes:summary>Vi er ute på fjorden for  å fiske juletorsken - forsøke i alle fall. Vi skal snakke om krisa for sjøfugl på grunn av matmangel. Altså - for lite småfisk i kystområdene, og hvilke arter det i første rekke går ut over.

Morten Ekker jobber i Direktoratet for Naturforvaltning. Peder Johan Pedersen i Søgne i vest-Agder misliker ærfugljakta som gjør fuglen sky. Hvorfor skal det alltid skytes og drepes dersom det er overskudd av en art? spør han. 

Programleder for friluftsmagasinet er Arnulf Møllerstad</itunes:summary>
      <enclosure url="http://podkast.nrk.no/filer/friluftsmagasinet/nrk_friluftsmagasinet_2007-1215-0807_16357.mp3" length="42493184" type="audio/mpeg" />
      <pubDate>Sat, 15 Dec 2007 06:00:00 GMT</pubDate>
      <guid>nrk.no-poddkast-197-16357-15.12.2007 08:07:00</guid>
      <itunes:author>NRK P1</itunes:author>

      <itunes:duration>00:44:15</itunes:duration>
      <itunes:keywords>NRK P1 Friluftsmagasinet</itunes:keywords>
    </item>
  </channel>
</rss>

Reproducible: Always

Steps to Reproduce:
1. try to add a new feed. paste the url: http://podkast.nrk.no/program/friluftsmagasinet.rss. Click OK.
2. Thunderbird starts verifying, but never ends doing so.
3.


Expected Results:  
add RSS-feed, like any other.

Comment 1

10 years ago
Well, the feed is a bit invalid
http://www.feedvalidator.org/check.cgi?url=http%3A%2F%2Fpodkast.nrk.no%2Fprogram%2Ffriluftsmagasinet.rss

Confirmed on Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b3pre) Gecko/2007122404 Thunderbird/3.0a1pre ID:2007122404 though
Status: UNCONFIRMED → NEW
Ever confirmed: true
(Reporter)

Comment 2

10 years ago
ok, thanks for the info. i have reported it to NRK.
perhaps this bug should be closed?

Updated

9 years ago
Component: RSS → Feed Reader
Product: Thunderbird → MailNews Core
Invalid per comment #1 because isn't TB realated.
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.